<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_Roles StructType
 * @subpackage Structs
 */
class Get_Roles extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The RoleType
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Roles
     */
    public $RoleType;
    /**
     * Constructor method for Get_Roles
     * @uses Get_Roles::setLogin()
     * @uses Get_Roles::setRoleType()
     * @param \StructType\Login $login
     * @param \StructType\Roles $roleType
     */
    public function __construct(\StructType\Login $login = null, \StructType\Roles $roleType = null)
    {
        $this
            ->setLogin($login)
            ->setRoleType($roleType);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_Roles
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get RoleType value
     * @return \StructType\Roles|null
     */
    public function getRoleType()
    {
        return $this->RoleType;
    }
    /**
     * Set RoleType value
     * @param \StructType\Roles $roleType
     * @return \StructType\Get_Roles
     */
    public function setRoleType(\StructType\Roles $roleType = null)
    {
        $this->RoleType = $roleType;
        return $this;
    }
}
